### Hierarchy

- GBService
  - SecService

## Index

### Methods

- ensureUser
- importSecurityFile

## Methods

### ensureUser

- ensureUser(instanceId: number, userSystemId: string, userName: string, address: string, channelName: string, displayName: string, cb: GBServiceCallback<GuaribasUser>): void

- - Defined in deploy/security.gblib/services/SecService.ts:74

  #### Parameters

  - ##### instanceId: number

  - ##### userSystemId: string

  - ##### userName: string

  - ##### address: string

  - ##### channelName: string

  - ##### displayName: string

  - ##### cb: GBServiceCallback<GuaribasUser>

  #### Returns void

### importSecurityFile

- importSecurityFile(localPath: string, instance: IGBInstance): void

- - Defined in deploy/security.gblib/services/SecService.ts:47

  #### Parameters

  - ##### localPath: string

  - ##### instance: IGBInstance

  #### Returns void

Generated using TypeDoc